
QGIS Application - Bug report #9034

Symbol not visible in TOC when size is set in data defined properties

2013-11-08 08:13 AM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17689

Description

On Qgis 2.0, when the point simbol size is set in "data defined properties" the simbol is no more diplayed in TOC.

History

#1 - 2013-11-08 08:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

it means that in 1.8 used to work?

#2 - 2013-11-08 08:19 AM - Luca Lanteri

I don't know. I haven't got a qgis 1.8 installed yet in order to test it.

#3 - 2013-11-08 01:35 PM - Nathan Woodrow

- Operating System deleted (Windows)

- OS version deleted (XP)

Giovanni Manghi wrote:

it means that in 1.8 used to work?

No this is a new 2.0 feature.

#4 - 2013-11-08 07:59 PM - Mathieu Pellerin - nIRV

Legend symbol has indeed never worked with data defined symbology. I feel it's not a bug but rather a lack in implementation.

IMO, there's an easy low cost implementation to dramatically improve behavior for the short term: have legend symbol revert to non data defined values

when drawing. ie, if we have a data defined color fill, instead of showing a black color, it picks up the color defined in symbol fill color.

Same goes for size values, border colors, etc.

That would at least prevent rendering legend symbol useless, as is the case atm.
#5 - 2014-04-27 01:13 AM - Tudor Bărăscu

- Target version set to Future Release - Lower Priority

I also just encountered this problem in 2.2 and master.

#6 - 2014-06-23 04:48 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.0.1 to master

#7 - 2014-06-23 08:05 AM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicate of #8118

#8 - 2014-06-23 12:24 PM - Jürgen Fischer

- Subject changed from Simbol not visible in TOC when size is set in data defined properties to Symbol not visible in TOC when size is set in data 

defined properties
